1. gmj's Avatar
    Is the activation problem happening to those who are using at&t or just to those with unlocked phones?
    Trying to decide whether to take the leap yet. In any case, thanks for your work.
    2007-10-25 05:13 AM
  2. sirjustin1's Avatar
    So I ran iDemocracy and it failed the 1st time. I restored and tried again. Everything went through without a problem. Firmware shows 1.1.1...it is jailbroken with installer on it. I can install some apps. I can't install summerboard. Says I have to have firmware 1.1.1 (which I do). I don't have Installer 3. I have the option to install it but it shows the size as 0 bytes and won't let me install it. Is there a way to remove installer completely from the phone and install it again?

    Does Customize work with this? When I try to go into customize it just exits out.

    Plus a the bottom it shows I have 58 meg available and not the normal 150 or so from 1.02. Is this normal?
    I had this problem too, I found a fix but I would love someone with more BSD knowledge to make this easier. The problem is that after iDemocracy, the installer is version 2.6 but it's listed as version 3.0b4. Since the installer is listed as the newest version, it won't let you update it. Summerboard needs you to be running the newest installer for it to install.

    You have to edit the LocalPackages.plist file in the /var/root/Library/Installer directory. I'm a Linux/BSD noob so I don't know how to do it over SSH, but I do know how to instruct you to do it using the phone with the following steps:

    1. Install mobilefinder and mobiletext edit from the Productivity category in the installer app
    2. Using Finder hit the ~ button and then it should list Library as one of the folders
    3. Click into Library and then into Installer directory.
    4. One of the files in that directory will be LocalPackages.plist. Highlight it then hit modify.
    5. In the modfiy screen there will be an option "Open With >". Choose TextEdit.app from the list.
    6. Towards the middle of this file there will be some entries for Installer.app (looking something like <string>Installer.app</string> Below this you will find <string>3.0b4</string>
    7. Change this line to <string>2.6</string> and save
    8. Exit and reboot your phone.
    9. Go into the installer app and it should prompt you to update the installer to the newest version.
    2007-10-25 05:40 AM
  3. wsxijn's Avatar
    For those who have no luck with this, you can give this a try

    http://hackint0sh.org/forum/showthread.php?t=12817

    It works for me the first time I tried and relatively simple even though not as automated as the great iDemocracy. My phone is now unlocked and SIM activated using Anysim1.1.

    Good luck!
    2007-10-25 05:49 AM
  4. bilsta57's Avatar
    ok for the ipod issue try this:

    log into your iphone through WinSCP navigate to applications and delete weDICT.app and press control+t and copy and paste this

    Code:
    chmod -Rf +x /Applications/
    what is this going to do well itll give all your applications sufficient permissions now reboot and see what happens...

    NOTE: I DONT KNOW WHETHER THIS WILL WORK BUT TRY IT LOL IM WILLING TO TRY THE WHOLE BREAKING PROCESS
    2007-10-25 06:05 AM
  5. 808flip's Avatar
    im on step 3 of 10... everything went well so far. but now i updated it to 1.1 and my phone says to connect to itunes.... but it doesnt get recognized in itunes. i tried unplugging it. closing and opening itunes.... nothing works! HELP please,....
    2007-10-25 07:32 AM
  6. esko032's Avatar
    Y The F Is My Iphone An Ipod Now

    AND THERE IS NO WEdict.APP IN THE APP FOLDER
    Last edited by esko032; 2007-10-25 at 07:52 AM. Reason: Automerged Doublepost
    2007-10-25 07:52 AM
  7. squidboy's Avatar
    gmj - my activation problem is happening with an att phone. I am not interested in unlocking my phone.

    im on step 3 of 10... everything went well so far. but now i updated it to 1.1 and my phone says to connect to itunes.... but it doesnt get recognized in itunes. i tried unplugging it. closing and opening itunes.... nothing works! HELP please,....
    808flip - you also hit the 1.1.1 activation issue - i don't know how to get around this but drakenza is looking into it. At this point iTunes refuses to recognize the iphone to activate it, so we need to manually activate it via the lockdownd patch. The file needs to be put there via network. However, I think the root problem is a networking one. After the 1.1.1 upgrade, the sshd daemon is either not running or something is blocking it from receiving a network connection. Any attempt to just connect manually via Putty, WinSCP, or pline.exe is being met with "Network: connection refused" - once we can figure out why the network daemon is not running, we'll golden.

    The problem is this: how do you access the iphone via network to fix the network problem??

    How the heck did the rest of you guys get around the 1.1.1 activation problem?? Maybe I should try telnet instead

    Squid
    Last edited by squidboy; 2007-10-25 at 08:33 AM.
    2007-10-25 08:31 AM
  8. djrbx's Avatar
    Hay guys, I was able to jailbreak my iPhone a couple of days back. Now when I came to jailbreak my friends phone, for some reason or another when it comes to install SSH, BSD, and Installer.app on Step 6 of 10, I get a connection error installing Installer.app

    Is there a way to fix this, I did everything the same to jailbreak my phone but for some reason it doesn't work on my friends. We both got our iphones at the same time running 1.1.1 OTB.

    edit: Just to let you know, both our phones have never been Jailbroken (well not mine anymore :-) at least) and we havn't unlocked our phones so the basebands shouldn't have been changed
    Last edited by djrbx; 2007-10-25 at 08:05 PM.
    2007-10-25 08:02 PM
  9. Drakenza's Avatar
    Sorry I can't answer everyone's questions (I don't have that kind of time )
    However, the biggest problem right now seems to be this mysterious iPod issue. I haven't got a clue why it happens and it's yet to happen to me... Apparently installing weDict is a bad idea. Customize does work, just reinstall it using Installer.app over and over again until it works (should take like 3-5 tries). I don't know why this is happening either, but i'm looking into it.
    As for activation problems, I'm releasing a patch some time today that will use a stripped-down modified version of CARNAVAL to activate and patch youtube.
    Also, for those who have been asking, I am going to release the next iDemocracy (1.2) sometime in late-October/early-November. Among new features will be built-in activation, Installer.app Fix, rewrite of all the confusing steps so that they're more specific, and possibly even a shift to the Safari TIFF Exploit method in order to cut down the number of steps. Also, there's going to be quite a bunch of other features I'm keeping quiet right now, but rest assured it'll make a lot of things easier for a lot of people....
    And, I'm also working on a full step-by-step idiot-proof tutorial which will feature plenty of pictures and maybe even a video, plus some fixes for the bugs I've solved so far. However, due to the large amount of time I'm investing in this project (even though it's all worth it ), I may have to charge a small amount for the tutorial in order to keep iDemocracy free, open-source, and donation supported. (paying for iDemocracy would be a tad ironic, I think). Hopefully you guys will understand. Feel free to leave feedback on this idea.

    Thanks for all your help and support, and thanks for the donations! We've almost hit $100!! And we've also nearly crossed 60,000 cumulative downloads from the site, which is a big deal for a little project like this. Plus we've made it into a number of blogs and news sites, which is also a great thing. Keep spreading the word.

    Drakenza
    2007-10-25 11:36 PM
  10. djrbx's Avatar
    Thanks Drakenza

    Can't wait for the new release
    2007-10-25 11:57 PM
  11. aziz's Avatar
    Hello there,
    I did use idemocracy and everything went fine until I had to reboot my iphone for a final time after Symfree. Well the iphone is working fine but I don't have a signal and when I switched back to the att pre paid sim I was able to make phone calls but when I re-inserted my tmobile sim it said that "different sim detected, please connect to itunes" and i can't make phone calls but everything works. Please help as I only did the prepay in order to activate the iphone. Thanks
    2007-10-26 01:44 AM
  12. iPhonePutz's Avatar
    And, I'm also working on a full step-by-step idiot-proof tutorial which will feature plenty of pictures and maybe even a video, plus some fixes for the bugs I've solved so far.
    Can you make that putz proof too? It's taken me half a dozen times to get through, because I can't read...
    Bruce
    Last edited by iPhonePutz; 2007-10-26 at 03:05 AM. Reason: I'm an idiot
    2007-10-26 02:29 AM
  13. Drakenza's Avatar
    Hey all.
    I've just released the new iDemocracy Activator using CARNAVAL on GoogleCode. Please download, test, give feedback, let me know if it works.
    It should both activate and patch your YouTube to work. This will help all those people stuck on the "Activate your iPhone" screen. And, of course, it's a big step for all those out there who need to unlock for different SIMs.

    Thank you all for the support.

    Drakenza
    Last edited by Drakenza; 2007-10-26 at 08:11 AM. Reason: Released!
    2007-10-26 07:03 AM
  14. jaayrawr's Avatar
    Hey, how come on my iPhone when i get to the "test Jailbreak" part i get this error
    "The procedure entry point CFCopyDescription could not be located in the dynamic link library QTMLClient."
    2007-10-26 10:32 AM
  15. lucegunz's Avatar
    After trying the Dev Team's instructions on how to jailbreak install ssh and install BSD world on 1.1.1 and failing miserably about 10 times I thought what the hell ill give this app a shot I have tryed everything else in the world to get 1.1.1 on my iPhone jailbroken(that came out of the box as 1.1.1 might i add because i bought it this weekend)

    This app was wonderful the Dev Team fails to mention so many little details that this app covers fantastically

    Excellent job man i give you props you saved me quite a few headaches....
    2007-10-26 10:36 AM
  16. dennis99's Avatar
    i got it. for now, find winstaller (on this site) and run the GUI version. click activate, itll activate then just continue w/ idemocracy
    if i want to run GUI, it require windows .net something rite? where can i get that software? thank you very much, i'm not an advance user of program thanks

    hi guys, i have another one more question, since now there are three files of idemocracy on the google website, which one is the one that is the latest updated version?
    1. iDemocracy 1.1.1(1.1) + Source.zip
    2.iDemocracy - Installer.app Fix.zip
    3. iDemocracy.zip
    issit the no. 3 that is fixed after initial failure of installer.app? thanks
    Last edited by dennis99; 2007-10-26 at 12:30 PM. Reason: Automerged Doublepost
    2007-10-26 12:30 PM
  17. alpine330's Avatar
    a new member. just have one question

    after the whole jailbreaking process the idemocracy should already work with the edge settings correct? all i need to do is just change the apn info for tmobile tzone settings and im good to go correct?
    2007-10-26 01:29 PM
  18. dennis99's Avatar
    hi guys, I am from australia, i have just got myself an Iphone, and i wish to use it in aust. so i have a few question to ask if you guys could help, that would be great.
    1. To get my Iphone work in Australia, I need to activate it with winstaller, and after that run idemocracy. that's all i need to do to get my phone activated, jailbroken and unlocked to any sim right?
    2. does all the functions work after the above modification? especially youtube? if not, what else should i do to make sure all functions in Iphone is functioning after the step 1. procedures?
    3. Will .net framework v2.0 enough to run the above application?
    thanks guys for helping a newbie here!
    2007-10-26 05:30 PM
  19. monica_69's Avatar
    if i want to run GUI, it require windows .net something rite? where can i get that software? thank you very much, i'm not an advance user of program thanks
    Microsof .NET Framework v3.0: http://go.microsoft.com/fwlink/?LinkId=70848
    2007-10-26 11:04 PM
  20. djrbx's Avatar
    I'm sorry but I keep getting Putty connection error when it comes to step 6 installing SSH/BSD/Installer. It installs the first two fine, but for some reason it fails when installing the last portion. Is there any update on this or a way to fix the connection error?
    2007-10-27 08:27 AM
206 ... 7891011
LINK TO POST COPIED TO CLIPBOARD